#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Log-Dispatch
Version		:	2.69
Release		:	16.2.0.rel%{?dist}
Summary		:	Object for logging to files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl(Dist::CheckConflicts)

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
This module provides a simple object for logging to files
under the Log::Dispatch::* system.

Note that a newline will not be added automatically at the
end of a message by default. To do that, pass newline => 1.

NOTE: If you are writing to a single log file from multiple
processes, the log output may become interleaved and garbled.
Use the Log::Dispatch::File::Locked output instead, which
allows multiple processes to safely share a single file.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%{_datadir}/perl5/core_perl/Log/Dispatch.pm
%{_datadir}/perl5/core_perl/Log/Dispatch/*.pm
%{_datadir}/perl5/core_perl/Log/Dispatch/Email/*.pm
%{_datadir}/perl5/core_perl/Log/Dispatch/File/*.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
